Skip site navigation (1) Skip section navigation (2)

Re: upgrade to wx2.5.4

From: "Dave Page" <dpage(at)vale-housing(dot)co(dot)uk>
To: "Andreas Pflug" <pgadmin(at)pse-consulting(dot)de>,<pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: upgrade to wx2.5.4
Date: 2005-02-23 21:19:17
Message-ID: E7F85A1B5FF8D44C8A1AF6885BC9A0E472B6D5@ratbert.vale-housing.co.uk (view raw or flat)
Thread:
Lists: pgadmin-hackers
 

> -----Original Message-----
> From: pgadmin-hackers-owner(at)postgresql(dot)org 
> [mailto:pgadmin-hackers-owner(at)postgresql(dot)org] On Behalf Of 
> Andreas Pflug
> Sent: 23 February 2005 21:03
> To: pgadmin-hackers(at)postgresql(dot)org
> Subject: [pgadmin-hackers] upgrade to wx2.5.4
> 
> Hi friends,
> 
> wx2.5.4 is somewhat incompatible to 2.5.3, regarding those casting
> orgies performed currently to call wxEvtHandler::Connect (e.g. in
> frmQuery). The new way using wxXXXEventHandler macros is much 
> nicer, and
> we'll want to use the forthcoming wx2.6 anyway so we should upgrade to
> using 2.5.4 now on all build systems for 1.3.
> As soon as this is done, I'll upload the needed pgAdmin 
> patches to use that.

Hi Andreas,

OK, great. Do you envisage retaining <2.5.3 support, or are you
intending to cleanup the 2.4/2.5 #ifdef's?

Regards, Dave.

Responses

pgadmin-hackers by date

Next:From: cvsDate: 2005-02-23 21:21:10
Subject: CVS Commit by dpage: Attached patch fixes coredump in non-Unicode
Previous:From: Andreas PflugDate: 2005-02-23 21:03:15
Subject: upgrade to wx2.5.4

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group